Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::MethodSlot2< T, R, P1, P2 > Class Template Reference

A slot template for methods in a class of type T taking two arguments of type P1 and P2, and returning a value of type R. More...

`#include <inti/slot.h>`

Inheritance diagram for Inti::MethodSlot2< T, R, P1, P2 >:

List of all members.

## Public Member Functions

- MethodSlot2 (T *object, PMF function)
    Construct a new method slot for a class member function.
- virtual R call (P1 p1, P2 p2) const
    Calls the class method connected to this slot passing it arguments p1 and p2.

## Detailed Description

### template<typename T, typename R, typename P1, typename P2>
class Inti::MethodSlot2< T, R, P1, P2 >

A slot template for methods in a class of type T taking two arguments of type P1 and P2, and returning a value of type R.

## Constructor & Destructor Documentation

template<typename T, typename R, typename P1, typename P2>
Inti::MethodSlot2< T, R, P1, P2 >::MethodSlot2 | ( | T * | object,
|  | PMF | function
| ) | `[inline]`

Construct a new method slot for a class member function.

Parameters:

  object | A pointer to an object of type T.
  function | A class method with the signature R (T::*PMF)(P1, P2).

## Member Function Documentation

template<typename T, typename R, typename P1, typename P2>
virtual R Inti::MethodSlot2< T, R, P1, P2 >::call | ( | P1 | p1,
|  | P2 | p2
| ) | const`[inline, virtual]`

Calls the class method connected to this slot passing it arguments p1 and p2.

Returns:
  A value of type R returned by the called method.

Implements Inti::Slot2< R, P1, P2 >.

The documentation for this class was generated from the following file:

- slot.h

Main Page - Footer